## org.flexdock.logging
Class SimpleLogger

    java.lang.Object
      org.flexdock.logging.SimpleLogger

All Implemented Interfaces:
  Logger

Deprecated.

    public abstract class SimpleLogger

extends java.lang.Object
implements Logger

Abstract base class for implementing `Logger` instances that don't care about the difference of warnings and errors.
All debug messages are swallowed, all warnings and errors are passed on to the abstract method `log(String, Throwable)`.

Constructor Summary
`SimpleLogger()` Deprecated.

Method Summary
`void` `debug(java.lang.String message)` Deprecated. Log a debug message.
`void` `debug(java.lang.String message, java.lang.Throwable t)` Deprecated. Log a debug message and provide a `Throwable` for details.
`void` `error(java.lang.String message)` Deprecated. Log an error.
`void` `error(java.lang.String message, java.lang.Throwable t)` Deprecated. Log an error and provide a `Throwable` for details.
`abstract void` `log(java.lang.String message, java.lang.Throwable t)` Deprecated.
`void` `warn(java.lang.String message)` Deprecated. Log a warning.
`void` `warn(java.lang.String message, java.lang.Throwable t)` Deprecated. Log a warning and provide a `Throwable` for details.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleLogger

    public SimpleLogger()

  Deprecated.

Method Detail

### log

    public abstract void log(java.lang.String message,
                             java.lang.Throwable t)

  Deprecated.

### debug

    public void debug(java.lang.String message,
                      java.lang.Throwable t)

  Deprecated.
  Description copied from interface: `Logger`
  Log a debug message and provide a `Throwable` for details. A debug message is not expected to be logged in production systems. It can be used to help in debugging functionality under development.

  Specified by:
    `debug` in interface `Logger`
  Parameters:
    `message` - debug message to log
    `t` - details of the debug message

### debug

    public void debug(java.lang.String message)

  Deprecated.
  Description copied from interface: `Logger`
  Log a debug message. A debug message is not expected to be logged in production systems. It can be used to help in debugging functionality under development.

  Specified by:
    `debug` in interface `Logger`
  Parameters:
    `message` - debug message to log

### error

    public void error(java.lang.String message,
                      java.lang.Throwable t)

  Deprecated.
  Description copied from interface: `Logger`
  Log an error and provide a `Throwable` for details. An error is a condition that may cause flexdock to behave unexepctedly afterwards.

  Specified by:
    `error` in interface `Logger`
  Parameters:
    `message` - error message to log
    `t` - details of the error

### error

    public void error(java.lang.String message)

  Deprecated.
  Description copied from interface: `Logger`
  Log an error. An error is a condition that may cause flexdock to behave unexpectedly afterwards.

  Specified by:
    `error` in interface `Logger`
  Parameters:
    `message` - error message to log

### warn

    public void warn(java.lang.String message,
                     java.lang.Throwable t)

  Deprecated.
  Description copied from interface: `Logger`
  Log a warning and provide a `Throwable` for details. A warning is a condition that will not cause flexdock to behave unexpectedly but is considered severe enough that it should be noticed in the log by support staff.

  Specified by:
    `warn` in interface `Logger`
  Parameters:
    `message` - warning message to log
    `t` - details of the warning

### warn

    public void warn(java.lang.String message)

  Deprecated.
  Description copied from interface: `Logger`
  Log a warning. A warning is a condition that will not cause flexdock to behave unexpectedly but is considered severe enough that it should be noticed in the log by support staff.

  Specified by:
    `warn` in interface `Logger`
  Parameters:
    `message` - warning message to log